Package: org.grails.cli.profile.commands

## [Groovy] Class CreateProfileCommand

- org.grails.cli.profile.commands.CreateProfileCommand

- Creates a profile

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CreateAppCommand` | `APPLICATION_YML, BUILD_GRADLE, ENCODING, FEATURES_FLAG, INPLACE_FLAG, NAME, PROFILE_FLAG`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreateProfileCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getDefaultProfile()`
    `` | `java.lang.String` | `getName()`
    `` | `protected void` | `populateDescription()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CreateAppCommand` | `appendFeatureFiles, buildTargetFolders, complete, copySrcToTarget, createNewApplicationYml, evaluateFeatures, evaluateProfileName, findAllFilesByName, getDefaultProfile, getDestinationDirectory, getName, handle, handle, initializeGroupAndName, populateDescription, replaceBuildTokens, resolveArtifactString, unzipProfile, validateProfile`
    `class ArgumentCompletingCommand` | `complete, complete`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String NAME

  - ### Constructor Detail

    - #### CreateProfileCommand()

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String getDefaultProfile()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override protected void populateDescription()